﻿@model TooJaVile.Models.Person

@{
    ViewBag.Title = "Edit";
}

<h2>Muuda</h2>

<link href="~/Content/themes/base/jquery-ui.min.css" rel="stylesheet" />
@section Scripts {
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.12.1.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#BirthDate").datepicker({ dateFormat: "dd-MM-yy", changeMonth: true, changeYear: true, yearRange: "1940:2030" });
        });
    </script>

        @Scripts.Render("~/bundles/jqueryval")
    
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>

    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#datafile').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $(document).ready(function () {
            $("#file").change(function () {
                readURL(this);
            });
        });</script>
}


@using (Html.BeginForm("Edit", "People", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Töötajad</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)



        <div class="form-group">
            @Html.LabelFor(model => model.FirstName, "Eesnimi", htmlAttributes: new { @class = "control-label col-md-2" })            
            <div class="col-md-10">
                @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.LastName, "Perekonnanimi",  htmlAttributes: new { @class = "control-label col-md-2" })            
            <div class="col-md-10">
                @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.Email, "E-mail", htmlAttributes: new { @class = "control-label col-md-2" })           
            <div class="col-md-10">
                @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.BirthDate, "Sünnikuupäev", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.BirthDate, "-- vali osakond --", new { htmlAttributes = new { @class = "form-control", @Value = Model.BirthDate.ToString("dd.MM.yyyy") } })
                @Html.ValidationMessageFor(model => model.BirthDate, "", new { @class = "text-danger" })
            </div>
        </div>

        @*Ei ole vaja*@
        @*<div class="form-group">
            @Html.LabelFor(model => model.PictureId, "PictureId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("PictureId", null, "-- vali pilt --", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.PictureId, "", new { @class = "text-danger" })
            </div>
        </div>*@


        <div class="form-group">
            @Html.LabelFor(model => model.DepartmentId, " Osakond", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("DepartmentId", null, "-- vali osakond --", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.DepartmentId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.IsManager, "Osakonna juht", htmlAttributes: new { @class = "control-label col-md-2" })            
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.IsManager)
                    @Html.ValidationMessageFor(model => model.IsManager, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.IsAccountant, "Raamatupidaja", htmlAttributes: new { @class = "control-label col-md-2" })
            
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.IsAccountant)
                    @Html.ValidationMessageFor(model => model.IsAccountant, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        @*<div class="form-group">
            @Html.LabelFor(model => model.ParentId, "ParentId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("ParentId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ParentId, "", new { @class = "text-danger" })
            </div>
        </div>*@

        <div class="form-group">
            @Html.LabelFor(model => model.IsStudent, "Üliõpilane", htmlAttributes: new { @class = "control-label col-md-2" })
            
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.IsStudent)
                    @Html.ValidationMessageFor(model => model.IsStudent, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.VacationDays, "Põhipuhkuse kestus", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.VacationDays, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.VacationDays, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.PictureId, "Lisa pilt", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.HiddenFor(x => x.PictureId) @*//kui pilt on olemas, siis on on seal ja keegi ei korja seda ära.*@
                <input type="file" name="file" id="file" />
                <p></p>
                <img src="@Url.Action("Content", "My", new { id=Model.PictureId })" height="120" id="datafile" />
            </div>
        </div>
        @Html.HiddenFor(x => x.PictureId)


        @*<div class="form-group">
            <p class="control-label col-md-2">Change picture</p>
            <div class="col-md-10">
                <input type="file" name="file" id="file" class="form-control" />
                <img src="@Url.Action("Content", "My", new { id=Model.PictureId })" height="120" id="datafile" />
                @Html.HiddenFor(x => x.PictureId)
            </div>
        </div>*@

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Salvesta" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Tagasi nimekirja", "Index")
</div>

